using Exferia_Aplicacion.General;
using Exferia_Aplicacion.Herencia.Abstractas;
using Exferia_Aplicacion.Modelos_MantenimientoSimple;
using Exferia_EntityFramework;
using Exferia_General.General;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static Exferia_Aplicacion.General.Enumerados;

namespace Exferia_General._3_Vistas.MantenimientoSimple
{
    public class ABS_MantenimientoSimple_GEN_TiposVias : ABS_MantenimientoSimple
    {
        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_1()
        {
            return new INTERNO_MantenimientoSimple_Controles_TextBox_Modelo(true,"Código AEAT",true,10,G_ENUM_TEXTBOX_TIPODATO.Textos,0,"");
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_2()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_Fecha_Modelo AUXILIAR_3()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_Fecha_Modelo AUXILIAR_4()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_ComboBox_Modelo AUXILIAR_5()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_ComboBox_Modelo AUXILIAR_6()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_CheckBox_Modelo AUXILIAR_7()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_CheckBox_Modelo AUXILIAR_8()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_9()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_10()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_11()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo AUXILIAR_12()
        {
            return null;
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo CODIGO()
        {
            return new INTERNO_MantenimientoSimple_Controles_TextBox_Modelo(true, "Código INE", true, 10, G_ENUM_TEXTBOX_TIPODATO.Textos, 0, "");
        }

        public override INTERNO_MantenimientoSimple_Controles_TextBox_Modelo DESCRIPCION()
        {
            return new INTERNO_MantenimientoSimple_Controles_TextBox_Modelo(true, "Descripción", true, 100, G_ENUM_TEXTBOX_TIPODATO.Textos, 0, "");
        }

        public override INTERNO_MantenimientoSimple_Controles_F3_Modelo F3()
        {
            return null;
        }

        public override string NOMBRE_LIBRERIA()
        {
            return Variables.G_STR_LIBRERIA_GENERAL;
        }

        public override string NOMBRE_CAMPO_CODIGO()
        {
            return nameof(GEN_TiposVias.codigoINE);
        }

        public override string NOMBRE_CAMPO_ID()
        {
            return nameof(GEN_TiposVias.id);
        }

        public override string NOMBRE_CAMPO_IDEMPRESA()
        {
            return "";
        }

        public override string NOMBRE_TABLA()
        {
            return nameof(GEN_TiposVias);
        }

        public override string OPCION()
        {
            return Variables.G_STR_OPCION_GEN_TIPOVIA;
        }

        public override bool TIENE_FECHABORRADO()
        {
            return true;
        }


    }
}
